# Fetch bulk calls (/docs/api-reference/bulk-calls/fetchBulkCalls)

> List bulk-call campaigns with pagination and optional status filter.



**GET** `/calls/bulk_call`

List bulk-call campaigns with pagination and optional status filter.

```yaml
operationId: fetchBulkCalls
parameters:
  - name: pageno
    in: query
    schema:
      type: integer
      default: 1
  - name: pagesize
    in: query
    schema:
      type: integer
      default: 10
      maximum: 150
    description: Items per page (max 150 — sending more returns 500).
  - name: status
    in: query
    schema:
      type: string
    description: Filter by status (e.g. completed).
responses:
  '200':
    description: Paginated list of bulk calls.
    content:
      application/json:
        schema:
          type: object
          properties:
            status:
              type: string
              enum:
                - success
                - error
            records:
              type: array
              items:
                type: object
                description: A bulk-call campaign.
                properties:
                  id:
                    type: integer
                    example: 11880
                  name:
                    type: string
                  campaign_type:
                    type: string
                    example: ai_agent
                  user_id:
                    type: integer
                  user_name:
                    type: string
                  bot_id:
                    type: integer
                  bot_name:
                    type: string
                  twilio_number:
                    type: string
                  status:
                    type: string
                    example: completed
                  is_scheduled:
                    type: boolean
                  scheduled_datetime:
                    oneOf:
                      - type: string
                      - type: 'null'
                  recording_file_name:
                    oneOf:
                      - type: string
                      - type: 'null'
                  failed_reason:
                    oneOf:
                      - type: string
                      - type: boolean
                  concurrent_call_limit:
                    type: integer
                  email_report_recipients:
                    oneOf:
                      - type: string
                      - type: boolean
                  total_calls:
                    type: integer
                  completed_calls:
                    type: integer
                  total_calls_made:
                    type: integer
                  total_calls_to_dispatch:
                    type: integer
                  total_pending_calls:
                    type: integer
                  total_not_reachable_calls:
                    type: integer
                  total_call_transfer_count:
                    type: integer
                  create_date:
                    type: string
        example:
          status: success
          records:
            - id: 314
              name: test
              campaign_type: ai_agent
              user_id: 1234
              user_name: Demo User
              twilio_number: '+15551234567'
              bot_id: 6337
              bot_name: Customer Support Agent
              recording_file_name: null
              status: completed
              failed_reason: false
              is_scheduled: false
              scheduled_datetime: null
              create_date: 04/22/2026 22:10:22
              concurrent_call_limit: 1
              email_report_recipients: ''
              total_calls: 1
              completed_calls: 1
              total_calls_made: 1
              total_calls_to_dispatch: 1
              total_pending_calls: 0
              total_not_reachable_calls: 1
              total_call_transfer_count: 0
          total_records: 31
```

**Python SDK**

```python
# Fetch all bulk calls with pagination
response = client.bulk_call.fetch_bulk_calls(page=1, page_size=10)
print(response)

# Filter bulk calls by status
response = client.bulk_call.fetch_bulk_calls(page=1, page_size=10, status="completed")
print(response)
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/calls/bulk_call" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
